<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/**
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT
 * HOLDERS MAKE NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED,
 * INCLUDING BUT NOT LIMITED TO, WARRANTIES OF MERCHANTABILITY OR
 * FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF THE SOFTWARE
 * OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS,
 * COPYRIGHTS, TRADEMARKS OR OTHER RIGHTS.COPYRIGHT HOLDERS WILL NOT
 * BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL OR CONSEQUENTIAL
 * DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE OR DOCUMENTATION.
 * 
 * A copy of the GNU General Public License is available at:
 * 
 * 		http://gnu.org/licenses/
 * 
 * @appname		View
 * @version		0.1.2
 * @date		06/01/2010
 * 
 * @license		GNU General Public License
 * @author		Braden Schaeffer
 * @link		http://manasto.info
 * 
 * @file		view_helper.php
 * 
 * Copyright (c) 2010
 */
 
 // ------------------------------------------------------------------------

/**
 * CSS
 *
 * Output the <link /> tag for css includes
 *
 * @access	public
 * @param	string	the path to the css file
 * @return	string	the formatted <link /> tag
 */
 
if ( ! function_exists('css'))
{
	function css($file)
	{
		$css = '<link rel="stylesheet" type="text/css" href="'.$file.'" />'."\n";
		
		return $css;
	}
}

// --------------------------------------------------------------------------

/**
 * JS
 *
 * Output the <script /> tag for js includes
 *
 * @access	public
 * @param	string	the path to the css file
 * @return	string	the formatted <script /> tag
 */
 
if ( ! function_exists('js'))
{
	function js($file)
	{
		$script = '<script type="text/javascript" src="'.$file.'"></script>'."\n";
		return $script;
	}
}
 
 /* End of file view_helper.php */
/* Location: ./application/helpers/view_helper.php */